summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Rodriguez2024-03-20 13:52:28 +0100
committer Willy Sudiarto Raharjo2024-03-20 15:09:36 +0100
commit45724ae6a4a845667c5f1b0e237691a9904d1326 (patch)
treefc40247de8d23bba6f5b4dc2d87c74dd968e8946
parentf598bd1cf8c23c1d7305fe0972a9bb6a29ad7316 (diff)
downloadslackbuilds-45724ae6a4a845667c5f1b0e237691a9904d1326.tar.gz
network/thorium-browser: Updated for version 122.0.6261.132.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/thorium-browser/thorium-browser.SlackBuild37
-rw-r--r--network/thorium-browser/thorium-browser.info6
2 files changed, 23 insertions, 20 deletions
diff --git a/network/thorium-browser/thorium-browser.SlackBuild b/network/thorium-browser/thorium-browser.SlackBuild
index cd7a01d462..db4d193cba 100644
--- a/network/thorium-browser/thorium-browser.SlackBuild
+++ b/network/thorium-browser/thorium-browser.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=thorium-browser
-VERSION=${VERSION:-117.0.5938.157}
+VERSION=${VERSION:-122.0.6261.132}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -34,7 +34,7 @@ if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,28 +56,31 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
+
cd $PKG
-ar p $CWD/${PRGNAM}_${VERSION}_${DEBARCH}.deb data.tar.xz | tar xJv || exit 1
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv || exit 1
+cd ..
+
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Make sure top-level perms are correct:
chmod 0755 .
+
# This needs to be setuid root:
-chmod 4711 opt/chromium.org/thorium/chrome-sandbox
+chmod 4711 $PKG/opt/chromium.org/thorium/chrome-sandbox
+
# The cron job is for Debian/Ubuntu only:
-rm -rf etc
-
-# Link to the standard Mozilla library names:
-sed -i 's,libnss3.so.1d,libnss3.so\x00\x00\x00,g;
- s,libnssutil3.so.1d,libnssutil3.so\x00\x00\x00,g;
- s,libsmime3.so.1d,libsmime3.so\x00\x00\x00,g;
- s,libssl3.so.1d,libssl3.so\x00\x00\x00,g;
- s,libplds4.so.0d,libplds4.so\x00\x00\x00,g;
- s,libplc4.so.0d,libplc4.so\x00\x00\x00,g;
- s,libnspr4.so.0d,libnspr4.so\x00\x00\x00,g;' opt/chromium.org/thorium/thorium
-
-# --mandir=/usr/man:
+rm -rf $PKG/etc
+
+# Strip binaries and libraries
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mv $PKG/usr/share/man $PKG/usr/man
# Install a .desktop launcher:
diff --git a/network/thorium-browser/thorium-browser.info b/network/thorium-browser/thorium-browser.info
index b009dc1773..cc4bb4be0b 100644
--- a/network/thorium-browser/thorium-browser.info
+++ b/network/thorium-browser/thorium-browser.info
@@ -1,10 +1,10 @@
PRGNAM="thorium-browser"
-VERSION="117.0.5938.157"
+VERSION="122.0.6261.132"
HOMEPAGE="https://thorium.rocks/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/Alex313031/thorium/releases/download/M117.0.5938.157/thorium-browser_117.0.5938.157_amd64.deb"
-MD5SUM_x86_64="2688d9067f05b0f253b0888225ebe70b"
+DOWNLOAD_x86_64="https://github.com/Alex313031/thorium/releases/download/M122.0.6261.132/thorium-browser_122.0.6261.132_amd64.deb"
+MD5SUM_x86_64="5e02eb86b7657c1c592ff242f1a8cf12"
REQUIRES=""
MAINTAINER="Martin Rodriguez"
EMAIL="slackmart@gmail.com"